Bug 650992 - Review Request: emacs-auto-complete - Intelligent auto-complete extension for GNU Emacs
Summary: Review Request: emacs-auto-complete - Intelligent auto-complete extension for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 15:46 UTC by Michel Alexandre Salim
Modified: 2010-11-26 01:15 UTC (History)
3 users (show)

Fixed In Version: emacs-auto-complete-1.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 01:11:34 UTC
Type: ---
sagarun: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2010-11-08 15:46:35 UTC
Spec URL: http://salimma.fedorapeople.org/specs/devtools/emacs-auto-complete.spec
SRPM URL: http://salimma.fedorapeople.org/specs/devtools/emacs-auto-complete-1.3-1.fc14.src.rpm

Description:
Auto Complete Mode is an intelligent auto-completion extension for GNU
Emacs. Auto Complete Mode renews an old completion interface and
provides an environment that makes users could be more concentrate on
their own works.

It comes with built-in completion support for C, C++, Clojure, CSS,
Java, JavaScript, PHP, Python, Ruby, Scheme and TCL.

Comment 1 Michel Alexandre Salim 2010-11-08 23:17:03 UTC
Hi Arun,

please set the bug status to Assigned and set the fedora-review flag to ? -- otherwise we're cluttering the list of bugs that still need reviewers.

Thanks :)

Comment 2 Arun S A G 2010-11-09 04:35:43 UTC
(In reply to comment #1)
> Hi Arun,
> 
> please set the bug status to Assigned and set the fedora-review flag to ? --
> otherwise we're cluttering the list of bugs that still need reviewers.
> 
> Thanks :)

Done. I will do the review tonight!. Thanks.

Comment 3 Arun S A G 2010-11-11 17:36:14 UTC
[+] OK
[X] NOT OKAY
[-] NA


[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
[+] Spec in American English
[+] Spec is legible.
[+] Sources match upstream md5sum:
[zer0c00l@gnubox ~]$ md5sum auto-complete-1.3.tar.bz2 
8c095a7ad5f4848e3ca95000d81e86a8  auto-complete-1.3.tar.bz2

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package has %defattr and permissions on files is good.
[+] Package has a correct %clean section.
[-] Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[-] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[-] Package is a GUI app and has a .desktop file

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.

[?] No rpmlint output : 
[zer0c00l@gnubox transmission-scripts]$ rpmlint ~/rpmbuild/RPMS/noarch/emacs-auto-complete-1.3-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[zer0c00l@gnubox transmission-scripts]$ rpmlint ~/rpmbuild/RPMS/noarch/emacs-auto-complete-el-1.3-1.fc13.noarch.rpm 
emacs-auto-complete-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
emacs-auto-complete-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-auto-complete-el.noarch: E: description-line-too-long C This package contains the elisp source files for Auto Complete Mode under GNU Emacs. You
emacs-auto-complete-el.noarch: E: description-line-too-long C do not need to install this package to run Auto Complete Mode. Install the emacs-auto-complete
emacs-auto-complete-el.noarch: W: no-documentation
1 packages and 0 specfiles checked; 2 errors, 3 warnings.


SHOULD Items:

[+] Should build in mock.
[+] Should build on all supported archs
[+] Should function as described.
[-] Should have sane scriptlets.
[+] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[+] check for outstanding bugs on package. (For core merge reviews)

Issues:

1.Everything is good here. Please change fix the description before pushing it to koji. Also please speak with the upstream to include License files.
 

XXX APPROVED XXX

Comment 4 Michel Alexandre Salim 2010-11-11 18:41:46 UTC
Ah, I forgot to reindent the description. Thanks for pointing it out -- and thanks for the review!

New Package SCM Request
=======================
Package Name: emacs-auto-complete
Short Description: 
Owners: salimma
Branches: f13 f14 el6
InitialCC:

Comment 5 Kevin Fenzi 2010-11-12 15:41:58 UTC
We need a short description here for pkgdb.
Can you please resubmit with one?

Comment 6 Michel Alexandre Salim 2010-11-12 16:55:07 UTC
sure, here goes:

New Package SCM Request
=======================
Package Name: emacs-auto-complete
Short Description: Intelligent auto-complete extension for GNU Emacs
Owners: salimma
Branches: f13 f14 el6
InitialCC:

Comment 7 Jason Tibbitts 2010-11-13 16:53:33 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-11-13 18:30:15 UTC
emacs-auto-complete-1.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-auto-complete-1.3-1.fc13

Comment 9 Fedora Update System 2010-11-13 18:30:22 UTC
emacs-auto-complete-1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-auto-complete-1.3-1.fc14

Comment 10 Fedora Update System 2010-11-14 21:31:19 UTC
emacs-auto-complete-1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-auto-complete'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/emacs-auto-complete-1.3-1.fc13

Comment 11 Fedora Update System 2010-11-26 01:11:30 UTC
emacs-auto-complete-1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-26 01:15:04 UTC
emacs-auto-complete-1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.